Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.apps.cz.cio
Class AvailabilityDeltaValidator

    java.lang.Object
      |
      +--oracle.apps.cz.cio.DeltaValidator
            |
            +--oracle.apps.cz.cio.AvailabilityDeltaValidator

public final class AvailabilityDeltaValidator
extends DeltaValidator

Manages the changes to Availability of runtime nodes due to user actions.

Nested Class Summary
`static class` | `AvailabilityDeltaValidator.AvailabilityChange`

Field Summary
`static java.lang.String` | `RCS_ID`
`static boolean` | `RCS_ID_RECORDED`

Fields inherited from class oracle.apps.cz.cio.DeltaValidator
`ALL_DEFAULT_DV, ATP_DV, AVAILABILITY_DV, COMPSET_MAX_CHANGE, COMPSET_MIN_CHANGE, CONNECTION_DV, COUNT_DV, CUSTOM_DV, DELETION_DV, DEPENDENT_CONNECTORS_DV, DETAILED_SELECTION_STATE_DV, DISPLAY_NAME_DV, DISPLAY_NAME_PATH_DV, ELIGIBLE_TARGETS_DV, GLOBAL_EVENT_COMMANDS_DV, IB_DV, INFO_MESSAGE_DV, INSTANCE_INDEX_DV, INSTANCE_NAME_DV, INSTANTIATION_DV, LINE_TYPE_DV, LOAD_STATUS_DV, LOCATION_DV, PATH_NAME_DV, PRICE_DV, REQUESTS_DV, ROLLUP_ATP_DV, SELECTION_DV, STATE_DV, TEXT_DV, TOTAL_PRICES_DV, UI_EXPRESSION_DV, UNSATISFACTION_DV, UNSATISFIED_RULE_DV, VALIDATION_DV`

Methods inherited from class oracle.apps.cz.cio.DeltaValidator
`equals, getType, hashCode, isUpToDate`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RCS_ID

    public static final java.lang.String RCS_ID

### RCS_ID_RECORDED

    public static final boolean RCS_ID_RECORDED

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999, 2004, Oracle. All rights reserved. Oracle is a registered trademark of Oracle Corporation and/or its affiliates. Other names may be trademarks of their respective owners.